import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:panic_widgets/calendar/controller.dart';
import 'package:panic_widgets/calendar/row.dart';

class PanicCalendarMonth extends StatefulWidget {
  final int monthOffset;

  PanicCalendarMonth(this.monthOffset, {Key key}) : super(key: key);

  @override
  _PanicCalendarMonthState createState() => _PanicCalendarMonthState();
}

class _PanicCalendarMonthState extends State<PanicCalendarMonth> with AutomaticKeepAliveClientMixin {
  final PanicCalendarController c = Get.find();

  @override
  bool get wantKeepAlive => true;

  @override
  Widget build(BuildContext context) {
    super.build(context);
    return Obx(
      () => Column(
        children: [
          for (int i = 0; i < c.neededRows(c.getFirstDayOfOffsetMonth(widget.monthOffset)); i++)
            Expanded(
              child: PanicCalendarRow(i, widget.monthOffset),
            ),
        ],
      ),
    );
  }
}
