import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:panic_widgets/calendar/controller.dart';

class PanicCalendarDayNames extends StatelessWidget {
  final PanicCalendarController c = Get.find();

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
      children: [
        for (int i in c.daysOfWeek.keys)
          Expanded(
            child: Text(
              c.daysOfWeek[i].name,
              textAlign: TextAlign.center,
              style: TextStyle(
                fontSize: 12,
                fontWeight: FontWeight.bold,
                color: c.daysOfWeek[i].nameTextColor,
              ),
            ),
          ),
      ],
    );
  }
}
